%def_with geotiff

Summary: The Geospatial Data Abstraction Library (GDAL)
Name: gdal
Version: 1.4.0
Release: alt1.M40.1
Group: Sciences/Geosciences
License: MIT
Source: ftp://ftp.remotesensing.org/pub/gdal/%name-%version.tar.gz
Url: http://www.remotesensing.org/gdal/

# Automatically added by buildreq on Sun Mar 25 2007
BuildRequires: gcc-c++ libcurl-devel libgeos-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel postgresql-devel

%define libname lib%name

%description
The Geospatial Data Abstraction Library (GDAL) is a unifying
C/C++ API for accessing raster geospatial data, and currently
includes formats like GeoTIFF, Erdas Imagine, Arc/Info
Binary, CEOS, DTED, GXF, and SDTS. It is intended to provide
efficient access, suitable for use in viewer applications,
and also attempts to preserve coordinate systems and metadata.
Python, C, and C++ interfaces are available.

%package -n %libname
Summary: Libraries required for the GDAL library
Group: Sciences/Geosciences

%description -n %libname
Libraries required for the GDAL library

%package -n %libname-devel
Summary: Development files for using the GDAL library
Group: Development/C
Requires: %libname = %version-%release

%description -n lib%name-devel
Development files for using the GDAL library

%prep
%setup -q

%build
%undefine __libtoolize
%configure \
	--datadir="%_datadir/%name" \
	--with-libz \
	--with-png \
%if_with geotiff
	--with-libtiff \
	--with-geotiff \
%else
	--with-libtiff=internal \
	--with-geotiff=internal \
%endif
	--with-gif \
	--with-jpeg \
	--with-ogr \
	--with-grass \
	--without-perl \
	--without-php \
	--without-ruby \
	--without-ngpython \
	--without-python \
	#
%make

%install
%make DESTDIR=%buildroot install

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files
%doc NEWS VERSION
%_datadir/%name
%_bindir/ogr*
%_bindir/gdal*
%exclude %_bindir/gdal-config
%_man1dir/*

%files -n %libname-devel
%_bindir/gdal-config
%_libdir/*.so
%_includedir/*

%files -n %libname
%_libdir/*.so.*

%changelog
* Mon Jan 26 2009 Grigory Batalov <bga@altlinux.ru> 1.4.0-alt1.M40.1
- Fix executables installation.
- Backport to branch 4.0.

* Sun Mar 25 2007 Sir Raorn <raorn@altlinux.ru> 1.4.0-alt1.1
- Major spec cleanup
- Packaged headers
- Disabled perl/python/ruby in configure (not packaged by default)
- Fixed Group

* Thu Jan 18 2007 Dmitri Kuzishchin <dim@altlinux.ru> 1.4.0-alt1
- Initial package.
